Bug 249011

Summary: x11/xmascot: Fix -fno-common error
Product: Ports & Packages Reporter: Yoshihiro Takahashi <nyan>
Component: Individual Port(s)Assignee: Rene Ladan <rene>
Status: Closed FIXED    
Severity: Affects Many People CC: CQG00620, kevans, nyan, rene
Priority: --- Flags: koobs: merge-quarterly?
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 248756    
Attachments:
Description Flags
Commercial use is prohibited
none
Update the port
none
diff
none
xmascot diff
none
poudriere testport log on 13.0-ALPHA1 with the patch none

Description Yoshihiro Takahashi freebsd_committer 2020-08-30 11:00:22 UTC
Created attachment 217644 [details]
Commercial use is prohibited

I have fixed -fno-common error and changed the followings.

- Add LEGAL because commercial use is prohibited.
- Add LICENSE.
- Fix -fno-common error and warnings.
- Remove files/* patch that merged to distfile.
- Use Github.
- Install X11 resource file for UTF-8.
Comment 1 Yoshihiro Takahashi freebsd_committer 2020-08-30 11:03:24 UTC
Created attachment 217645 [details]
Update the port

I forgot to attach the file.
Comment 2 Rene Ladan freebsd_committer 2020-08-31 17:50:27 UTC
Can you submit an actual diff instead of a zip file?
Comment 3 Yoshihiro Takahashi freebsd_committer 2020-09-01 03:29:14 UTC
Created attachment 217683 [details]
diff

I attache the diff.
Comment 4 Mathieu Arnold freebsd_committer 2020-09-01 06:19:12 UTC
Could you submit an actual diff and not a compressed file, so that one can view it directly here without having to download the thing?
Comment 5 Yoshihiro Takahashi freebsd_committer 2020-09-01 09:25:18 UTC
Created attachment 217689 [details]
xmascot diff

I have updated again.
Sorry for inconvenience.
Comment 6 WATANABE Kazuhiro 2021-01-19 02:38:31 UTC
Created attachment 221722 [details]
poudriere testport log on 13.0-ALPHA1 with the patch

Hello,

I've tested the patch on 13.0-ALPHA1 and build/run is fine.
Comment 7 commit-hook freebsd_committer 2021-04-09 15:04:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ffce9c1d6dfcfacb319eed3c02c2d2dc4f44bd46

commit ffce9c1d6dfcfacb319eed3c02c2d2dc4f44bd46
Author:     Yoshihiro Takahashi <nyan@FreeBSD.org>
AuthorDate: 2021-04-09 14:56:27 +0000
Commit:     Rene Ladan <rene@FreeBSD.org>
CommitDate: 2021-04-09 15:03:25 +0000

    x11/xmascot: clean up port

    - fix build with -fno-common and un-expire
    - set LICENSE
    - fix parallel build
    - move to MASTER_SITE of submitter

    Add entry to LEGAL

    Submitter becomes maintainer

    PR:             249011
    MFH:            2021Q2

 LEGAL                                      |  1 +
 x11/xmascot/Makefile                       | 42 ++++++++++++++++--------------
 x11/xmascot/distinfo                       |  5 ++--
 x11/xmascot/files/patch-config.tmpl (gone) | 10 -------
 x11/xmascot/pkg-plist                      |  2 ++
 5 files changed, 29 insertions(+), 31 deletions(-)
Comment 8 commit-hook freebsd_committer 2021-04-09 15:10:19 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e1fb9ce7111c24f22ba0c8622480fe9a6339f702

commit e1fb9ce7111c24f22ba0c8622480fe9a6339f702
Author:     Yoshihiro Takahashi <nyan@FreeBSD.org>
AuthorDate: 2021-04-09 14:56:27 +0000
Commit:     Rene Ladan <rene@FreeBSD.org>
CommitDate: 2021-04-09 15:09:16 +0000

    x11/xmascot: clean up port

    - fix build with -fno-common and un-expire
    - set LICENSE
    - fix parallel build
    - move to MASTER_SITE of submitter

    Add entry to LEGAL

    Submitter becomes maintainer

    PR:             249011
    MFH:            2021Q2
    (cherry picked from commit ffce9c1d6dfcfacb319eed3c02c2d2dc4f44bd46)

 LEGAL                                      |  1 +
 x11/xmascot/Makefile                       | 42 ++++++++++++++++--------------
 x11/xmascot/distinfo                       |  5 ++--
 x11/xmascot/files/patch-config.tmpl (gone) | 10 -------
 x11/xmascot/pkg-plist                      |  2 ++
 5 files changed, 29 insertions(+), 31 deletions(-)
Comment 9 Rene Ladan freebsd_committer 2021-04-09 15:13:53 UTC
Committed, thanks for the patch!